Bug 2892 - [UPDATE REQUEST] apache 2.4.6
: [UPDATE REQUEST] apache 2.4.6
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks: 2904
  Show dependency treegraph
 
Reported: 2013-10-14 15:08 MSD by Denis Silakov
Modified: 2013-10-18 10:51 MSD (History)
2 users (show)

See Also:
RPM Package: apache
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2013-10-14 15:08:43 MSD
The latest stable version of Apache is 2.4.6, while we still use 2.4.3.
Comment 1 Denis Silakov 2013-10-14 15:10:43 MSD
Advisory:

Updated Apache to version 2.4.6 with dozens of bug and security fixes.

Complete list of changes can be found here: http://apache-mirror.rbc.ru/pub/apache//httpd/CHANGES_2.4

Build lists:

https://abf.rosalinux.ru/build_lists/1347401
https://abf.rosalinux.ru/build_lists/1347400
Comment 2 Alexander Petryakov 2013-10-17 02:09:55 MSD
for x86 i got error: [core:emerg] [pid 5197] (2)Нет такого файла или каталога: AH00023: Couldn't create the rewrite-map mutex (file /var/run/httpd/rewrite-map.5197)
Comment 3 Denis Silakov 2013-10-17 10:25:37 MSD
This is likely caused by filesystem update which happened in parallel (see bug #2904). We should adopt apache for the new HS structure.
Comment 4 Alexander Burmashev 2013-10-17 13:52:34 MSD
Indeed. Anyway i fixed apache a bit to be compatible with /var/run & run in tmpfs

Advisory:

Updated Apache to version 2.4.6 with dozens of bug and security fixes.

Complete list of changes can be found here: http://apache-mirror.rbc.ru/pub/apache//httpd/CHANGES_2.4
Apache was also patched to be compatible with /var/run & run in tmpfs


Additional info:
Reboot *may* be required after updating

Buildlists:
https://abf.rosalinux.ru/build_lists/1356263
https://abf.rosalinux.ru/build_lists/1356264
Comment 5 Alexander Petryakov 2013-10-18 01:56:34 MSD
apache-2.4.6-3
************** Advisory **************
Updated Apache to version 2.4.6 with dozens of bug and security fixes.

Complete list of changes can be found here: http://apache-mirror.rbc.ru/pub/apache//httpd/CHANGES_2.4
Apache was also patched to be compatible with /var/run & run in tmpfs

**************************************
QA Verified